# babel-preset-swifty

> Babel preset for all swifty plugins.


## What it includes

All your favorite es2017 functionality, but with decorators thrown into the mix. You can read up on decorators [here](https://github.com/wycats/javascript-decorators)!

Made with love for the Node.js API Framework known as **Swift.js**

## Install

```sh
npm install --save-dev babel-preset-swifty
```

## Usage

### Via `.babelrc` (Recommended)

**.babelrc**

```json
{
  "presets": ["swifty"]
}
```

### Via CLI

```sh
babel script.js --presets swifty
```

### Via Node API

```javascript
require("babel-core").transform("code", {
  presets: ["swifty"]
});
```

## Options

* `loose` - Enable "loose" transformations for any plugins in this preset that allow them (Disabled by default).
* `modules` - Enable transformation of ES6 module syntax to another module type (Enabled by default to `"commonjs"`).
  * Can be `false` to not transform modules, or one of `["amd", "umd", "systemjs", "commonjs"]`
* `spec` - Enable "spec" transformations for any plugins in this preset that allow them (Disabled by default)

```js
{
  presets: [
    ["swifty", { "loose": true }]
  ]
}
{
  presets: [
    ["swifty", { "modules": false }]
  ]
}
{
  presets: [
    ["swifty", { "loose": true, "modules": false }]
  ]
}
{
  presets: [
    ["swifty", { "spec": true }]
  ]
}
```
